
package de.ivu.elect.jee.presentation.dynamicform;

import java.math.BigDecimal;

public abstract class AbstractBigDecimalProperty extends AbstractNumberProperty<BigDecimal> {

  protected AbstractBigDecimalProperty() {
    super();
  }

  @Override
  public int getDefaultMaxLength() {
    return getPattern().length();
  }

  public abstract String getPattern();

  @Override
  public long getMinValue() {
    return Long.MIN_VALUE;
  }

  @Override
  public long getMaxValue() {
    return Long.MAX_VALUE;
  }
}
